Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 707292 - net-misc/nemesis-1.4-r1 : fails to build with -fno-common or gcc-10
Summary: net-misc/nemesis-1.4-r1 : fails to build with -fno-common or gcc-10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Netmon Herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-01-29 20:03 UTC by Toralf Förster
Modified: 2020-01-31 15:28 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,15.24 KB, text/plain)
2020-01-29 20:03 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,131.75 KB, text/plain)
2020-01-29 20:03 UTC, Toralf Förster
Details
environment (environment,57.64 KB, text/plain)
2020-01-29 20:03 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,18.06 KB, application/x-bzip)
2020-01-29 20:03 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,7.74 KB, application/x-bzip)
2020-01-29 20:03 UTC, Toralf Förster
Details
net-misc:nemesis-1.4-r1:20200129-195525.log (net-misc:nemesis-1.4-r1:20200129-195525.log,36.55 KB, text/plain)
2020-01-29 20:03 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,19.68 KB, application/x-bzip)
2020-01-29 20:03 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-01-29 20:03:34 UTC
x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I..   -D_DEFAULT_SOURCE -D__FAVOR_BSD -DHAVE_NET_ETHERNET_H -DLIBNET_LIL_ENDIAN -I/usr/local/include -I/sw/include  -O2 -pipe -march=native -fno-common -Wall -c -o W32_fzs.o W32_fzs.c
x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I..   -D_DEFAULT_SOURCE -D__FAVOR_BSD -DHAVE_NET_ETHERNET_H -DLIBNET_LIL_ENDIAN -I/usr/local/include -I/sw/include  -O2 -pipe -march=native -fno-common -Wall -c -o strlcat.o strlcat.c
x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I..   -D_DEFAULT_SOURCE -D__FAVOR_BSD -DHAVE_NET_ETHERNET_H -DLIBNET_LIL_ENDIAN -I/usr/local/include -I/sw/include  -O2 -pipe -march=native -fno-common -Wall -c -o strlcpy.o strlcpy.c
x86_64-pc-linux-gnu-gcc  -O2 -pipe -march=native -fno-common -Wall  -Wl,-O1 -Wl,--as-needed -o nemesis nemesis-arp.o nemesis-dns.o nemesis-ethernet.o nemesis-fileio.o nemesis-functions.o nemesis-icmp.o nemesis-igmp.o nemesis-ip.o nemesis-ospf.o nemesis-printout.o nemesis-proto_arp.o nemesis-proto_dns.o nemesis-proto_ethernet.o nemesis-proto_icmp.o nemesis-proto_igmp.o nemesis-proto_ip.o nemesis-proto_ospf.o nemesis-proto_rip.o nemesis-proto_tcp.o nemesis-proto_udp.o nemesis-rip.o nemesis-tcp.o nemesis-udp.o nemesis.o W32_fzs.o strlcat.o strlcpy.o -lnet-1.0 -lresolv -lnsl -lm  -lnet-1.0
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: nemesis-ospf.o:(.bss+0x0): multiple definition of `mode'; nemesis-icmp.o:(.bss+0x4): first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: nemesis-proto_dns.o:(.bss+0x0): multiple definition of `state'; nemesis-dns.o:(.bss+0x0): first defined here

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_hardened-libressl_test-20200126-104546

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *

clang:
clang version 9.0.1 
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/9/bin
llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.7
  [3]   python3.6
  [4]   python2.7 (fallback)
  [5]   pypy3 (fallback)

Available Rust versions:
  [1]   rust-1.40.0 *
java-config:
The following VMs are available for generation-2:
Available Java Virtual Machines:
  (none found)
ghc:
The Glorious Glasgow Haskell Compilation System, version 8.0.2

repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Wed, 29 Jan 2020 18:52:13 +0000

emerge -qpvO net-misc/nemesis
[ebuild  N    ] net-misc/nemesis-1.4-r1
Comment 1 Toralf Förster gentoo-dev 2020-01-29 20:03:37 UTC
Created attachment 608408 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-01-29 20:03:40 UTC
Created attachment 608410 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2020-01-29 20:03:43 UTC
Created attachment 608412 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2020-01-29 20:03:46 UTC
Created attachment 608414 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-01-29 20:03:49 UTC
Created attachment 608416 [details]
logs.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-01-29 20:03:52 UTC
Created attachment 608418 [details]
net-misc:nemesis-1.4-r1:20200129-195525.log
Comment 7 Toralf Förster gentoo-dev 2020-01-29 20:03:55 UTC
Created attachment 608420 [details]
temp.tbz2
Comment 8 Larry the Git Cow gentoo-dev 2020-01-31 15:28:21 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=24a56226228d802b32fe2f383dcb4301a447b41f

commit 24a56226228d802b32fe2f383dcb4301a447b41f
Author:     Jeroen Roovers <jer@gentoo.org>
AuthorDate: 2020-01-31 15:27:53 +0000
Commit:     Jeroen Roovers <jer@gentoo.org>
CommitDate: 2020-01-31 15:28:18 +0000

    net-misc/nemesis: Fix CFLAGS=-fno-common
    
    Package-Manager: Portage-2.3.86, Repoman-2.3.20
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=707292
    Signed-off-by: Jeroen Roovers <jer@gentoo.org>

 .../nemesis/files/nemesis-1.4-fno-common.patch     | 150 +++++++++++++++++++++
 net-misc/nemesis/nemesis-1.4-r2.ebuild             |  36 +++++
 2 files changed, 186 insertions(+)